GH-EXTENSION-BROWSE(1)

NAME

gh-extension-browse - Enter a UI for browsing, adding, and removing extensions

SYNOPSIS

gh extension browse [flags]

DESCRIPTION

This command will take over your terminal and run a fully interactive interface for browsing, adding, and removing gh extensions.

The extension list is navigated with the arrow keys or with j/k. Space and control+space (or control + j/k) page the list up and down. Extension readmes can be scrolled with page up/page down keys (fn + arrow up/down on a mac keyboard).

For highlighted extensions, you can press:

    •   w to open the extension in your web browser

    •   i to install the extension

    •   r to remove the extension

Press / to focus the filter input. Press enter to scroll the results. Press Escape to clear the filter and return to the full list.

Press q to quit.

The output of this command may be difficult to navigate for screen reader users, users operating at high zoom and other users of assistive technology. It is also not advised for automation scripts. We advise those users to use the alternative command:

    gh ext search

along with gh ext install, gh ext remove, and gh repo view.

OPTIONS

--debug
    log to /tmp/extBrowse-*

SEE ALSO

gh-extension(1)